"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.precompile03 = precompile03;
const util_1 = require("@ethereumjs/util");
const ripemd160_js_1 = require("ethereum-cryptography/ripemd160.js");
const evm_ts_1 = require("../evm.js");
const index_ts_1 = require("./index.js");
const util_ts_1 = require("./util.js");
function precompile03(opts) {
    const pName = (0, index_ts_1.getPrecompileName)('03');
    const data = opts.data;
    let gasUsed = opts.common.param('ripemd160Gas');
    gasUsed += opts.common.param('ripemd160WordGas') * BigInt(Math.ceil(data.length / 32));
    if (!(0, util_ts_1.gasLimitCheck)(opts, gasUsed, pName)) {
        return (0, evm_ts_1.OOGResult)(opts.gasLimit);
    }
    const hash = (0, util_1.setLengthLeft)((0, ripemd160_js_1.ripemd160)(data), 32);
    if (opts._debug !== undefined) {
        opts._debug(`${pName} return hash=${(0, util_1.bytesToHex)(hash)}`);
    }
    return {
        executionGasUsed: gasUsed,
        returnValue: (0, util_1.setLengthLeft)((0, ripemd160_js_1.ripemd160)(data), 32),
    };
}
//# sourceMappingURL=03-ripemd160.js.map