"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StemCache = void 0;
class StemCache {
    constructor() {
        this.cache = new Map();
    }
    set(stemKey, accessedStem) {
        this.cache.set(stemKey, accessedStem);
    }
    get(stemHex) {
        return this.cache.get(stemHex);
    }
    del(stemHex) {
        this.cache.delete(stemHex);
    }
    commit() {
        const items = Array.from(this.cache.entries());
        this.clear();
        return items;
    }
    /**
     * Clear cache
     */
    clear() {
        this.cache.clear();
    }
    /**
     * Returns the size of the cache
     * @returns
     */
    size() {
        return this.cache.size;
    }
}
exports.StemCache = StemCache;
//# sourceMappingURL=stemCache.js.map